/*
	Implements ModellingTool to get into the menu
	
	TroY, February 2008

	Some notes (mostly to myself):
	- ModellingTool is implemented in order to get a menu entry.
 */


package troy.distrirend;

import artofillusion.Plugin;
import artofillusion.ModellingTool;
import artofillusion.LayoutWindow;

/**
 * Manages menu entries, dialogs, etc
 */
public class PrepareDistributed implements ModellingTool
{
	/**
	 * for ModellingTool: name of entry in the menu
	 */
	public String getName()
	{
		return "Distributed Rendering...";
	}
	/**
	 * for ModellingTool: what happens when menu item is clicked
	 */
	public void commandSelected(LayoutWindow lw)
	{
		/*
			Remark: I had some serious problems to keep the scene available.
			If held just in an instance of DistriDlg, it has been lost as the
			user clicked "Split up". The variable was set correctly at the
			beginning, but at the time of the click, it was just reset to
			"null". No matter what I've done.
			
			The only solution was to store the scene at this point and
			directly in a static var of DistriFuncs.
		*/
		System.out.println("We're talking about this scene: " + lw.getScene());
		DistriFuncs.setScene(lw.getScene());
		new DistriDlg(lw);
	}
}
